"""
Basic module containing user choice related classes.
"""

from enum import Enum


class Choice(Enum):
	"""
	Enum for a basic Y/N or QUIT choice for a basic user prompt.
	"""
	YES = 1
	NO = 0
	IRR = -1
	QUIT = -2
