import sys
import os
from pathlib import Path

sys.path.append(str(Path(os.path.abspath(__file__)).absolute().parent.parent.parent.parent))

from deeperMatcher.src.issues.issue import Issue

mock_issue_dict = {
	'id\r' : 67,
	'title' : "App freezes after pause notification",
	'created_at': "2020-08-11T01:24:52Z",
	'closed_at' : "NaN",
	'description' : """An issue may contain a larger text field describing more technically what its
	causes may be, but as its language is typically far from the one used by users describing the same
	problem, we may choose to ignore them completely while trying to match them.""",
	'random_key' : 43,
	'other_field' : "strange value",
}

mock_issue_dict_2 = {
	'id\r' : 68,
	'title' : "Notification fires with incorrect date",
	'created_at': "2020-09-11T08:23:12Z",
	'closed_at' : "NaN",
	'description' : """Once again, a large text is supposed to fit here""",
}

mock_issue_dict_3 = {
	'id\r' : "70",
	'title' : "Notification fires at random intervals",
	'created_at': "2020-09-12T11:09:15Z",
	'closed_at' : "NaN",
	'description' : """Once again, a large text is supposed to fit here""",
}

mock_issue_dict_4 = {
	'id\r' : 71,
	'title' : "App's framerate drops when rendering map",
	'created_at': "2020-09-12T11:09:15Z",
}

mock_issue = Issue.from_dict(mock_issue_dict)
mock_issue_2 = Issue.from_dict(mock_issue_dict_2)
mock_issue_3 = Issue.from_dict(mock_issue_dict_3)
mock_issue_4 = Issue.from_dict(mock_issue_dict_4)