import sys
import os
from pathlib import Path

sys.path.append(str(Path(os.path.abspath(__file__)).absolute().parent.parent.parent.parent))

from deeperMatcher.src.user_feedback.user_feedback import UserFeedback

mock_review_dict = {
	'reviewId' : 67,
	'content' : """Since the last time I updated it, the app stutters a lot when I open the map""",
	'created_at': "2020-08-11T01:24:52Z",
	'score' : 43,
	'other_field' : "strange value",
}

mock_review_dict_2 = {
	'reviewId' : 68,
	'app_id' : "com.id.app",
	'content' : """I can't access the settings menu after taking a screenshot""",
	'created_at': "2020-08-12T01:24:52Z",
	'score' : 45,
	'other_field' : "strange value",
}

mock_review = UserFeedback.from_dict(mock_review_dict,default_app="example_id")
mock_review_2 = UserFeedback.from_dict(mock_review_dict_2)